﻿using System;
using System.IO;

class Test
{
    public static void Main()
    {
        try
        {
            // Create an instance of StreamReader to read from a file.
            // ファイルから、読み込むために、StreamReaderのインスタンスを作成します。
            // The using statement also closes the StreamReader.
            // また、using ステートメントは、StreamReaderを閉じます。
            using (StreamReader sr = new StreamReader("TextFile.txt"))
            {
                string line;
                // Read and display lines from the file until the end of 
                // the file is reached.
                // ファイルの末端に達するまで、ファイルから行を読み込んで、表示します。
                while ((line = sr.ReadLine()) != null)
                {
                    Console.WriteLine(line);
                }
            }
            // Enterキーが押されるまで、コンソールを閉じないようにする
            Console.Read();
        }
        catch (Exception e)
        {
            // Let the user know what went wrong.
            // ユーザーに、何が問題になったのかを知らせます。
            // The file could not be read:
            Console.WriteLine("ファイルを読み取れませんでした：");
            Console.WriteLine(e.Message);
        }
    }
}
